Forum: Ruby on Rails Rails 3.1.0RC4 start server problem

799f7568b336ff1f4c13a48ea2df3e4b?d=identicon&s=25 Zoloo (Guest)
on 2011-06-10 17:48
(Received via mailing list)
Hi guys,
When I trying to start server. I get following errors:

user@user-desktop:~/todo$ rails s
/home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/execjs-1.1.2/lib/
execjs/runtimes.rb:43:in `autodetect': Could not find a JavaScript
runtime. See https://github.com/sstephenson/execjs for a list of
available runtimes. (ExecJS::RuntimeUnavailable)
  from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
execjs-1.1.2/lib/execjs.rb:5:in `<module:ExecJS>'
  from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
execjs-1.1.2/lib/execjs.rb:4:in `<top (required)>'
  from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/coffee-
script-2.2.0/lib/coffee_script.rb:1:in `require'
  from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/coffee-
script-2.2.0/lib/coffee_script.rb:1:in `<top (required)>'
  from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/coffee-
script-2.2.0/lib/coffee-script.rb:1:in `require'
  from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/coffee-
script-2.2.0/lib/coffee-script.rb:1:in `<top (required)>'
  from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
actionpack-3.1.0.rc4/lib/sprockets/railtie.rb:6:in `require'
  from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
actionpack-3.1.0.rc4/lib/sprockets/railtie.rb:6:in `using_coffee?'
  from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
actionpack-3.1.0.rc4/lib/sprockets/railtie.rb:12:in `<class:Railtie>'
  from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
actionpack-3.1.0.rc4/lib/sprockets/railtie.rb:4:in
`<module:Sprockets>'
  from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
actionpack-3.1.0.rc4/lib/sprockets/railtie.rb:1:in `<top (required)>'
  from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
actionpack-3.1.0.rc4/lib/action_controller/railtie.rb:7:in `require'
  from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
actionpack-3.1.0.rc4/lib/action_controller/railtie.rb:7:in `<top
(required)>'
  from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
activerecord-3.1.0.rc4/lib/active_record/railtie.rb:9:in `require'
  from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
activerecord-3.1.0.rc4/lib/active_record/railtie.rb:9:in `<top
(required)>'
  from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
railties-3.1.0.rc4/lib/rails/all.rb:11:in `require'
  from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
railties-3.1.0.rc4/lib/rails/all.rb:11:in `block in <top (required)>'
  from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
railties-3.1.0.rc4/lib/rails/all.rb:5:in `each'
  from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
railties-3.1.0.rc4/lib/rails/all.rb:5:in `<top (required)>'
  from /home/user/apps/freekino/config/application.rb:3:in `require'
  from /home/user/apps/freekino/config/application.rb:3:in `<top
(required)>'
  from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
railties-3.1.0.rc4/lib/rails/commands.rb:52:in `require'
  from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
railties-3.1.0.rc4/lib/rails/commands.rb:52:in `block in <top
(required)>'
  from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
railties-3.1.0.rc4/lib/rails/commands.rb:49:in `tap'
  from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
railties-3.1.0.rc4/lib/rails/commands.rb:49:in `<top (required)>'
  from script/rails:6:in `require'
  from script/rails:6:in `<main>'

Please help me!
89441a6c74647d292f5cc951eae24cfa?d=identicon&s=25 Jack Christensen (Guest)
on 2011-06-10 18:52
(Received via mailing list)
On 6/10/2011 10:05 AM, Zoloo wrote:
>   from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
> actionpack-3.1.0.rc4/lib/sprockets/railtie.rb:6:in `require'
> actionpack-3.1.0.rc4/lib/action_controller/railtie.rb:7:in `require'
>   from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
>   from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
>
Not sure if this is the best way going forward -- but to get you going
now add the following line to your Gemfile and bundle install

gem 'therubyracer'

--
Jack Christensen
jackc@hylesanderson.edu
1cef16c9fc469d857494a2f7d9ac5d52?d=identicon&s=25 pe medeiros (Guest)
on 2011-06-10 19:10
(Received via mailing list)
i believe you need a javascript engine to run your code...

try installing rubyracer as Jack said... I had a similar problem once
and it
worked

2011/6/10 Jack Christensen <jackc@hylesanderson.edu>

>>        from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
>> script-2.2.0/lib/coffee-script.rb:1:in `<top (required)>'
>> actionpack-3.1.0.rc4/lib/sprockets/railtie.rb:1:in `<top (required)>'
>>        from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
>>        from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
>>
>
>
--
Pedro Henrique de Souza Medeiros
B839a3a133b0ec4ece6af508c9c0d9a3?d=identicon&s=25 Alex Katebi (Guest)
on 2011-06-11 02:45
(Received via mailing list)
Install nodejs

sudo apt-get install nodejs
799f7568b336ff1f4c13a48ea2df3e4b?d=identicon&s=25 Zolzaya Erdenebaatar (Guest)
on 2011-06-13 06:00
(Received via mailing list)
Thanks. It's working.

On Sat, Jun 11, 2011 at 8:44 AM, Alex Katebi <alex.katebi@gmail.com>
wrote:

>> user@user-desktop:~/todo$ rails s
>>        from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/coffee-
>> actionpack-3.1.0.rc4/lib/sprockets/railtie.rb:12:in `<class:Railtie>'
>>        from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
>>        from /home/user/.rvm/gems/ruby-1.9.2-p180@rails31rc4/gems/
>> railties-3.1.0.rc4/lib/rails/commands.rb:49:in `tap'
>> To post to this group, send email to rubyonrails-talk@googlegroups.com.
> To unsubscribe from this group, send email to
> rubyonrails-talk+unsubscribe@googlegroups.com.
> For more options, visit this group at
> http://groups.google.com/group/rubyonrails-talk?hl=en.
>



--
Best wishes,
Zolzaya E. - Developer

"USI" LLC
Building of Enkhuud center, 4th khoroo, 15th khoroolol
Bayanzurkh district, Ulaanbaatar - 51, Mongolia

Mobile: (976) 99796493
Phone: (976) 70151145
Fax: (976) 70141146
35051b0a5ae78866e69f61a8d73e1d6e?d=identicon&s=25 Manish Nautiyal (manish812)
on 2011-07-05 19:57
In your Gemfile

write this

gem 'execjs'

gem 'therubyracer'


and then run

bundle install


everything works fine for me :)
6c0468beff896e2162d7c33f5ed9b7a0?d=identicon&s=25 khalid Rauf (khalidraufsmd)
on 2011-10-27 12:53
thanks Manish Nautiyal.

everything works fine for me as well:)
1abe3e38fef9c202f4878b67ceba6cc0?d=identicon&s=25 ashwini br (ashwinibr)
on 2011-12-15 12:40
Yes its working now after adding that particular gems to gemlist.

Thank you Manish Nautiyal:)




Manish Nautiyal wrote in post #1009188:
> In your Gemfile
>
> write this
>
> gem 'execjs'
>
> gem 'therubyracer'
>
>
> and then run
>
> bundle install
>
>
> everything works fine for me :)
Please log in before posting. Registration is free and takes only a minute.
Existing account

NEW: Do you have a Google/GoogleMail, Yahoo or Facebook account? No registration required!
Log in with Google account | Log in with Yahoo account | Log in with Facebook account
No account? Register here.